Bug 214208 - libs and lib symlinks are split across bind-libs, bind-devel, and bind-libbind-devel
libs and lib symlinks are split across bind-libs, bind-devel, and bind-libbin...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 11:10 EST by Jesse Keating
Modified: 2013-04-30 19:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 08:50:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-11-06 11:10:52 EST
The library and library symlink layout is a bit of a mess between bind-libs,
bind-libbind-devel, and bind-devel.  This is causing some problems with multilib.

I would suggest all actual libraries go into bind-libs, all the lib symlinks
(.so files) go in bind-devel, and all .a/.la files get removed.  This way
bind-devel would require bind-libs, but not bind itself,  bind-libs would not
require bind, but bind itself would require bind-libs.  This should keep
building happy and keep multilib happy.  bind-libbind-devel could just go away.
Comment 1 Paul Howarth 2006-11-16 12:02:23 EST
And bind-libs (32 bit) should be included in the 64-bit repo to avoid this
problem (evident on FC6 with updates repo enabled):

# yum install bind-devel
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package bind-devel.i386 30:9.3.3-6.fc6 set to be updated
---> Package bind-devel.x86_64 30:9.3.3-6.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: liblwres.so.9 for package: bind-devel
--> Processing Dependency: libisccc.so.0 for package: bind-devel
--> Processing Dependency: libdns.so.22 for package: bind-devel
--> Processing Dependency: libisccfg.so.1 for package: bind-devel
--> Processing Dependency: libbind9.so.0 for package: bind-devel
--> Processing Dependency: libisc.so.11 for package: bind-devel
--> Finished Dependency Resolution
Error: Missing Dependency: liblwres.so.9 is needed by package bind-devel
Error: Missing Dependency: libisccc.so.0 is needed by package bind-devel
Error: Missing Dependency: libdns.so.22 is needed by package bind-devel
Error: Missing Dependency: libisccfg.so.1 is needed by package bind-devel
Error: Missing Dependency: libbind9.so.0 is needed by package bind-devel
Error: Missing Dependency: libisc.so.11 is needed by package bind-devel
Comment 2 Martin Stransky 2006-12-06 03:45:59 EST
I'll sort it out after RHEL-5 release if I still maintain this package.
Comment 4 Adam Tkac 2007-01-22 08:50:03 EST
Package bind-libbind devel has been removed. Libraries from there have been
moved to bind-devel and bind-libs packages.

Note You need to log in before you can comment on or make changes to this bug.